Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
A UI library for modern web applications
Dart CSS Other

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
bin
example
lib
test
web Updating to Polymer 0.11.0-dev.6
.gitignore
AUTHORS
LICENSE
README.md
build.dart
drone_io.sh
pubspec.yaml

README.md

Pixelate

A UI widget library for creating modern web applications; Pixelate targets the modern web by using Web Components. The library leverages the Polymer.dart library to create a set of widgets that would be expected in native native application development.

Build Status

Components

The following components are available for use.

Themes

Pixelate was built with customization in mind. All components have hooks to change the styling to fit the application. The themes provided are modern flat designs.

Install

Pixelate is a pub package. To install it, and link it into your app, add pixelate to your pubspec.yaml. For example:

name: your_cool_app
dependencies:
  pixelate: any
  pixelate_flat: any

If you use Dart Editor, select your project from the Files view, then goto Tools, and run Pub Install.

If you use the command line, ensure the Dart SDK is on your path, and then run: pub install

Compatible browsers

The Polymer.dart library shares the polyfills provided through JavaScript within the Polymer Project. Polymer and its polyfills are intended to work in the latest version of "evergreen browsers". Because of this make sure the browsers you are targeting are available before starting a project with Pixelate. The current status of browser support can be tracked here.

Pixelate has been tested on the following browsers

  • Chrome 32+ (with Experimental Web Platform Features chrome://flags/#enable-experimental-web-platform-features enabled)

Authors

Copyright and license

Code and documentation are copyright 2013-2014 by the Pixelate authors. Code released under the zlib license. Docs released under Creative Commons.

Something went wrong with that request. Please try again.